//+------------------------------------------------------------------+
//|                                              RandomIndicator.mq4 |
//+------------------------------------------------------------------+
#property link      "panzernik.narod.ru"

#property indicator_level1 0
#property indicator_levelcolor White
#property indicator_levelwidth 1
#property indicator_levelstyle STYLE_DOT

#property indicator_separate_window
#property indicator_buffers 3
#property indicator_color1 OrangeRed
#property indicator_color2 DodgerBlue
#property indicator_color3 Magenta

//---- input parameters
 string        Pair01="EURUSD";         //  
 string        Pair02="GBPUSD";         //  
 string        Pair03="EURGBP";

 extern int       barsToProcess=30;  //    
 double index1,index2,index3,index4,index5,index6,index7;
 double ind1,ind2,ind3,ind4,ind5,ind6,ind7,ind8,ind9,ind10,ind11,ind12,ind13,ind14;
//---- buffers
double ExtMapBuffer1[];
double ExtMapBuffer2[];
double ExtMapBuffer3[];
//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init()
  {
//---- indicators
   SetIndexStyle(0,DRAW_LINE);
   SetIndexBuffer(0,ExtMapBuffer1);
   IndicatorShortName(" 101");
   SetIndexDrawBegin(0,NULL);
   SetIndexLabel(0,Pair01);
   
   SetIndexStyle(1,DRAW_LINE);
   SetIndexBuffer(1,ExtMapBuffer2);
   //IndicatorShortName("GBPUSD1");
   SetIndexDrawBegin(1,NULL);
   SetIndexLabel(1,Pair02);
   
      SetIndexStyle(2,DRAW_LINE);
   SetIndexBuffer(2,ExtMapBuffer3);
   //IndicatorShortName("AUDUSD1");
   SetIndexDrawBegin(2,NULL);
   SetIndexLabel(2,Pair03);
//----

 //  MathSrand(TimeLocal());
   
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator deinitialization function                       |
//+------------------------------------------------------------------+
int deinit()
  {
//----
   
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator iteration function                              |
//+------------------------------------------------------------------+
int start()
{
   int counted_bars=IndicatorCounted(),
       limit;

   if(counted_bars>0)
      counted_bars--;
   
   limit=Bars-counted_bars;
   
   if(limit>barsToProcess)
      limit=barsToProcess;
  
   for(int i=0;i<limit;i++)
   {
//  SELL
   index2=(iClose(Pair02,0,barsToProcess)-iClose(Pair02,0,i)); // *MarketInfo(Pair03,MODE_POINT)
   index3=(iClose(Pair03,0,barsToProcess)-iClose(Pair03,0,i)); // *MarketInfo(Pair03,MODE_POINT)
//  BUY   
   index1=(iClose(Pair01,0,i)-iClose(Pair01,0,barsToProcess)); // *MarketInfo(Pair01,MODE_POINT)
   //index2=(iClose(Pair02,0,i)-iClose(Pair02,0,barsToProcess))*10000; // *MarketInfo(Pair02,MODE_POINT)

//  1
   if (index1>index2 && index1>index3 && index2>index3)
   {
   ind1=3;   ind2=2;   ind3=1;
   }
//  2
      if (index1>index2 && index1>index3 && index3>index2)
   {
   ind1=3;   ind2=1;   ind3=2;
   }
//  3
      if (index2>index1 && index2>index3 && index1>index3)
   {
   ind1=2;   ind2=3;   ind3=1;
   }
//  4
      if (index2>index3 && index2>index1 && index3>index1)
   {
   ind1=2;   ind2=1;   ind3=3;
   }
//  5
      if (index3>index2 && index3>index1 && index2>index1)
   {
   ind1=1;   ind2=2;   ind3=3;
   }
//  6
      if (index3>index1 && index3>index2 && index1>index2)
   {
   ind1=1;   ind2=3;   ind3=2;
   }
//============================================================
         ExtMapBuffer1[i]=ind1;
         ExtMapBuffer2[i]=ind2;
         ExtMapBuffer3[i]=ind3;
   }
       Comment(iClose(Pair01,0,i)," ",iClose(Pair01,0,barsToProcess)," ",index1," ",index2," ",index3);
   return(0);
}
//+------------------------------------------------------------------+